types

API: weather.gov:national-weather-service-api
Endpoint: /alerts/types
Response format: application/ld+json
Auth: unknown
Method: GET
Last Status: 200
Latency: 141ms

Description

Returns a list of alert types

Examples (1)

Get all alert types curl
curl 'https://api.weather.gov/alerts/types' \
  -H 'User-Agent: RobustAPI-Test'
import requests

resp = requests.get(
    "https://api.weather.gov/alerts/types",
    headers={
        'User-Agent': 'RobustAPI-Test',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("weather")
result = api.fetch("alerts/types")

for item in result:
    print(item)
const resp = await fetch("https://api.weather.gov/alerts/types", {
  headers: {
    "User-Agent": "RobustAPI-Test",
  },
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-04 06:05:14.424610 200 141ms
2026-04-03 14:56:50.080191 200 239ms
2026-03-30 03:15:17.624137 200 234ms
2026-03-29 13:22:37.624095 200 230ms
2026-03-23 09:26:07.822311 200 169ms